import { CategoryType } from '../app/models/enums/data-space/category-type.enum';
import { NodeType } from '../app/models/enums/data-space/node-type.enum';
import { TestCaseStatus } from '../app/models/enums/test-case-status.enum';
import { SlabsCustomComponentModel } from '../app/models/interfaces/slabs-custom-components/slabs-custom-component.interface';

export const slabsCustomComponentsMock: SlabsCustomComponentModel[] = [
  {
    id: 1,
    name: 'component 1',
    version: '1.7',
    description: 'Component 1 description',
    specificationDescription: 'Consent v2.0',
    specificationId: 1,
    status: TestCaseStatus.UNDEFINED,
    resultSuccess: 0.0,
    resultError: 0.0,
    resultNotExecuted: 1.0,
    specificationLastUpdate: '01/07/2024',
    nodeType: NodeType.DATA_PROVIDER,
    category: CategoryType.CONSENT,
    customImage: null!,
  },
  {
    id: 2,
    name: 'component 2',
    version: '1.8',
    description: 'Component 2 description',
    specificationDescription: 'IAA_Local v1.2',
    specificationId: 2,
    status: TestCaseStatus.FAILURE,
    resultSuccess: 0.33,
    resultError: 0.33,
    resultNotExecuted: 0.33,
    specificationLastUpdate: '01/07/2024',
    nodeType: NodeType.GOVERNANCE,
    category: CategoryType.IAA_LOCAL,
    customImage: null!,
  },
  {
    id: 3,
    name: 'component 3',
    version: '1.9',
    description: 'Component 3 description',
    specificationDescription: 'Logging v1.2',
    specificationId: 3,
    status: TestCaseStatus.FAILURE,
    resultSuccess: 0.0,
    resultError: 0.5,
    resultNotExecuted: 0.5,
    specificationLastUpdate: '01/07/2024',
    nodeType: NodeType.CONSUMER,
    category: CategoryType.LOGGING,
    customImage: null!,
  },
];
